Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.path
Class ReversePathHierarchyTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.path.ReversePathHierarchyTokenizer

All Implemented Interfaces:
  Closeable

    public class ReversePathHierarchyTokenizer

extends Tokenizer

Tokenizer for domain-like hierarchies.

Take something like:

     www.site.co.uk

and make:

     www.site.co.uk
     site.co.uk
     co.uk
     uk

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary
`static char` | `DEFAULT_DELIMITER`
`static int` | `DEFAULT_SKIP`

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`ReversePathHierarchyTokenizer(Reader input)`
`ReversePathHierarchyTokenizer(Reader input, char delimiter, char replacement)`
`ReversePathHierarchyTokenizer(Reader input, char delimiter, char replacement, int skip)`
`ReversePathHierarchyTokenizer(Reader input, char delimiter, int skip)`
`ReversePathHierarchyTokenizer(Reader input, int skip)`
`ReversePathHierarchyTokenizer(Reader input, int bufferSize, char delimiter)`
`ReversePathHierarchyTokenizer(Reader input, int bufferSize, char delimiter, char replacement)`
`ReversePathHierarchyTokenizer(Reader input, int bufferSize, char delimiter, char replacement, int skip)`

Method Summary
`void` | `end()` This method is called by the consumer after the last token has been consumed, after `TokenStream.incrementToken()` returned `false` (using the new `TokenStream` API).
`boolean` | `incrementToken()` Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token.
`void` | `reset()` Resets this stream to the beginning.

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DELIMITER

    public static final char DEFAULT_DELIMITER

See Also:
  Constant Field Values

### DEFAULT_SKIP

    public static final int DEFAULT_SKIP

See Also:
  Constant Field Values

Constructor Detail

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int skip)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int bufferSize,
                                         char delimiter)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         char delimiter,
                                         char replacement)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int bufferSize,
                                         char delimiter,
                                         char replacement)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         char delimiter,
                                         int skip)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         char delimiter,
                                         char replacement,
                                         int skip)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int bufferSize,
                                         char delimiter,
                                         char replacement,
                                         int skip)

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Description copied from class: `TokenStream`
  Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token. Implementing classes must implement this method and update the appropriate `AttributeImpl`s with the attributes of the next token.

  The producer must make no assumptions about the attributes after the method has been returned: the caller may arbitrarily change it. If the producer needs to preserve the state for subsequent calls, it can use `AttributeSource.captureState()` to create a copy of the current attribute state.

  This method is called for every token of a document, so an efficient implementation is crucial for good performance. To avoid calls to `AttributeSource.addAttribute(Class)` and `AttributeSource.getAttribute(Class)`, references to all `AttributeImpl`s that this stream uses should be retrieved during instantiation.

  To ensure that filters and consumers know which attributes are available, the attributes must be added during instantiation. Filters and consumers are not required to check for availability of attributes in `TokenStream.incrementToken()`.

  Specified by:
    `incrementToken` in class `TokenStream`
  Returns:
    false for end of stream; true otherwise
  Throws:
    `IOException`

### end

    public final void end()

  Description copied from class: `TokenStream`
  This method is called by the consumer after the last token has been consumed, after `TokenStream.incrementToken()` returned `false` (using the new `TokenStream` API). Streams implementing the old API should upgrade to use this feature.

  This method can be used to perform any end-of-stream operations, such as setting the final offset of a stream. The final offset of a stream might differ from the offset of the last token eg in case one or more whitespaces followed after the last token, but a `WhitespaceTokenizer` was used.

  Overrides:
    `end` in class `TokenStream`

### reset

    public void reset()
               throws IOException

  Description copied from class: `TokenStream`
  Resets this stream to the beginning. This is an optional operation, so subclasses may or may not implement this method. `TokenStream.reset()` is not needed for the standard indexing process. However, if the tokens of a `TokenStream` are intended to be consumed more than once, it is necessary to implement `TokenStream.reset()`. Note that if your TokenStream caches tokens and feeds them back again after a reset, it is imperative that you clone the tokens when you store them away (on the first pass) as well as when you return them (on future passes after `TokenStream.reset()`).

  Overrides:
    `reset` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD